Bug 139199 - "freetype-config --libs" output is evil on amd64
Summary: "freetype-config --libs" output is evil on amd64
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype   
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-13 22:38 UTC by Dan Winship
Modified: 2008-02-14 17:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-14 17:23:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Winship 2004-11-13 22:38:39 UTC
danw@blorple:vte> rpm -q freetype-devel
freetype-devel-2.1.9-1
danw@blorple:vte> freetype-config --libs
-L/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 -lfreetype -lz

The "don't output libdir if it's -L/usr/lib" hack needs to be
updated to know about lib64

Comment 1 Owen Taylor 2004-11-15 19:25:14 UTC
Mailed upstream:

 http://www.freetype.org/pipermail/devel/2004-November/011135.html

Assuming nobody objects, I'll commit upstream and put in our package
in a few days.


Comment 2 Owen Taylor 2004-11-16 13:03:50 UTC
Fixed upstream.

2004-11-16  Owen Taylor  <otaylor@redhat.com>

        * builds/unix/freetype-config.in: Supress -L$libdir for
        /usr/lib64 as well as /usr/lib. (Reported by Dan Winship -
        https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=139199)

Comment 3 Hans de Goede 2005-08-13 06:15:07 UTC
I assume this also removes the horrible -Wl,--rpath -Wl,/usr/lib64 ?
That is just so wrong!

I was trying to test an alternative build of Mesa, using LD_LIBRARY_PATH to make
ppracer use the alternative build, but it got ignored by ld.so because of rpath,
which took me 2 hours to find out and workaround!


Comment 4 Nils Philippsen 2005-11-21 17:12:54 UTC
AFAIK, Rawhide already contains fixed to that effect (comment #3) -- can we get
them into FC4 as well?

Comment 5 Nils Philippsen 2005-11-21 17:16:07 UTC
Bumping product version.

Comment 6 Thorsten Leemhuis 2005-11-21 17:40:48 UTC
(In reply to comment #4)
> AFAIK, Rawhide already contains fixed to that effect (comment #3) -- can we get
> them into FC4 as well?

The actual rawhide fix for the rpath problems was in Bug 160247

And Carl, just fyi: 173818 and 173819 bugs depend on this or need ugly
workarounds to avoid rpath problems. 


Comment 7 Benjamin Smedberg 2006-07-23 22:29:51 UTC
What is the RPM version that contains this fix? I can't seem to find it, FC5 has
this bug, and it's going to start biting Mozilla packages before too long.

Comment 8 Matthias Clasen 2006-11-27 06:12:44 UTC
Benjamin, are you seeing the rpath output with the FC5 version of 
freetype-config ? 
The FC5 package definitively has the changes mentioned by Owen.

Comment 9 Benjamin Smedberg 2006-12-21 21:13:17 UTC
Sorry, got confused: FC4 is broken and FC5 is fixed.

Comment 10 Christian Iseli 2007-01-22 11:20:15 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 11 petrosyan 2008-02-14 17:23:05 UTC
This bug seems to have been fixed in Fedora Core 5.

Fedora Core 4 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.